/* Copyright 2016-2017 Research Foundation State University of New York   */

/* This file is part of QUB Online.                                       */

/* QUB Online is free software; you can redistribute it and/or modify    */
/* it under the terms of the GNU General Public License as published by   */
/* the Free Software Foundation, either version 3 of the License, or      */
/* (at your option) any later version.                                    */

/* QUB Online is distributed in the hope that it will be useful,         */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of         */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the          */
/* GNU General Public License for more details.                           */

/* You should have received a copy of the GNU General Public License,     */
/* named LICENSE.txt, in the QUB Online program directory.  If not, see  */
/* <http://www.gnu.org/licenses/>.                                        */

#ifndef QUBX_AMPHIST_H
#define QUBX_AMPHIST_H

#include "qubfast.h"

#ifdef __cplusplus
extern "C" {
#endif

  void* QUBFAST_API qubx_amphist_init(int Nbin);
  void QUBFAST_API qubx_amphist_free(void *obj);
  void QUBFAST_API qubx_amphist_reset(void *obj, int countsOnly);
  void QUBFAST_API qubx_amphist_setNbin(void *obj, int Nbin);
  void QUBFAST_API qubx_amphist_scan(void *obj, float *data, int N);
  void QUBFAST_API qubx_amphist_bin(void *obj, float *bins);
  void QUBFAST_API qubx_amphist_add(void *obj, float *data, int N);
  void QUBFAST_API qubx_amphist_hist(void *obj, float *hist);

#ifdef __cplusplus
}
#endif

#endif
